Mailinglist Archive: opensuse (527 mails)

< Previous Next >
Re: SOLVED Re: [opensuse] glib.h triggers new error: /usr/include/pthread.h:1000:58: error: expected ‘;’, ‘,’ or ‘)’ before ‘__cond’
On 08/09/2016 10:55 PM, David C. Rankin wrote:
The solved part of the response can be chocked up to a big "I have no clue
what
was broke", but `zypper up -r update` pulled in an update for pcre-tools, and
attempting the build again -- worked fine.

So all is well again.

And I guess to be fair, we ought to at least apply a little logic to the
situation and narrow down the suspects,

Since there was no issue with glib.h throwing the error prior to install of
pcre-tools on 8/2/16 from OSS, I suspect that gcc, or cpp more likely, will use
pcregrep if it is installed, otherwise using grep (or sed, or whatever, I
haven't found the default logic yet). Once pcregrep was installed, through
whatever defect existed, the error was generated regarding:

/usr/include/pthread.h:1000:58: error: expected ‘;’, ‘,’ or ‘)’ before ‘__cond’
extern int pthread_cond_wait (pthread_cond_t *__rdstrict __cond,

Andrei correctly pointed out the __rDstrict v. __rEstrict strangeness in error
reporting. pthread.h was in fact correct:

$ sed -n '1000'p /usr/include/pthread.h
extern int pthread_cond_wait (pthread_cond_t *__restrict __cond,

So somewhere in the daisy-chain of header inclusions and parsing, something
really mucked up was happening.

My last suspicion is that updating to pcre-tools-8.37-2.4.1 from the update repo
fixed the issue causing all to be right in the world again.

So 'Go figure...'? I'll try and track down any bug reports for pcre-tools and
see if there is anything that appears related and report on anything found.

--
David C. Rankin, J.D.,P.E.
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups